<?php

namespace Garradin;

use Garradin\Plugin\RecusFiscaux\Utils;

// Année fiscale par défaut
if (! isset($_SESSION['annee_recu']) || $_SESSION['annee_recu'] == "")
{
    $_SESSION['annee_recu'] = date("Y") - 1;
}

// libellés pour les taux de réduction
$_SESSION['ligneReduction'] = Utils::getLignesReduction($plugin->getConfig('reduction'));

// compter le nombre de taux de réduction activés
$nbTaux = 0;
foreach ($plugin->getConfig('reduction') as $taux)
{
    if ($taux->valeur == 1) { ++$nbTaux; }
}

// idem avec les champs nom/prénom
$nbChamps = 0;
$champsNom = Utils::getChampsNom($config, $plugin);

if (null !== $champsNom)
{
    foreach ($champsNom as $nom => $champ)
    {
        if ($champ->position != 0) { ++$nbChamps; }
    }
}

// liste des activités, cotisations et comptes associés
$activitesTarifsComptes = Utils::getActivitesTarifsEtComptes();

// préparation de l'affichage
$tpl->assign('annee_recu', $_SESSION['annee_recu']);
$tpl->assign('activitesTarifsComptes', $activitesTarifsComptes);
$tpl->assign('nbTarifs', count($activitesTarifsComptes));
$tpl->assign('plugin_config', $plugin->getConfig());
$tpl->assign('nbTaux', $nbTaux);
$tpl->assign('nbChamps', $nbChamps);
$tpl->assign('plugin_css', ['style.css']);

// envoyer au template
$tpl->display(PLUGIN_ROOT . '/templates/index.tpl');
